In order to be compatible with V1connection LE, devices must have Apple iOS version 8.0 or higher. V1connection LE is compatible with all iPhone, iPad and iPod touch devices using Apple IOS version 8.0 or higher.

Orders placed after 12:00 PM EST on Tuesday, November 22, 2022 will ship on Monday, November 28, 2022